Oracle JDeveloper Multiple RCE (July 2016 CPU)

High Nessus Plugin ID 93592


A software development application installed on the remote host is affected by multiple remote code execution vulnerabilities.


The version of Oracle JDeveloper installed on the remote host is missing a security patch. It is, therefore, affected by multiple remote code execution vulnerabilities :

- A remote code execution vulnerability exists in the Application Development Framework (ADF) Faces subcomponent that allows an unauthenticated, remote attacker to execute arbitrary code. (CVE-2016-3504)

- A remote code execution vulnerability exists in the Apache MyFaces Trinidad component in the CoreResponseStateManager subcomponent due to improper validation of the ObjectInputStream and ObjectOutputStream strings prior to deserialization. An unauthenticated, remote attacker can exploit this to execute arbitrary code. (CVE-2016-5019)


Apply the appropriate patch according to the July 2016 Oracle Critical Patch Update advisory.

See Also

Plugin Details

Severity: High

ID: 93592

File Name: oracle_jdeveloper_cpu_july_2016.nasl

Version: $Revision: 1.8 $

Type: local

Family: Misc.

Published: 2016/09/19

Modified: 2017/05/05

Dependencies: 78910

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:oracle:fusion_middleware, cpe:/a:oracle:jdeveloper

Required KB Items: installed_sw/Oracle JDeveloper

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/07/19

Vulnerability Publication Date: 2016/07/19

Reference Information

CVE: CVE-2016-3504, CVE-2016-5019

BID: 92023, 93236

OSVDB: 141758, 144919